Author Topic: Module für WB Version 2.8.3+SP7 (r1647)  (Read 160 times)

Offline MBiss

  • Posts: 3
Module für WB Version 2.8.3+SP7 (r1647)
« on: January 02, 2017, 04:58:18 PM »
Hallo liebe Forum-Gemeinde,

ich bin neu hier und hoffe auf Eure Hilfe:

nachdem Update auf WB Version 2.8.3+SP7 (r1647) und Umstellung auf PHP7, habe ich Probleme mit den Modulen "Lightbox2" und "Another Image Gallery". letztere habe ich nur installiert, weil es kein Update für "Image Gallery" gibt. Kurioserweise funktioniert nur "Image Gallery".

Bei Nutzung von "Lightbox2" erhalte ich folgenden Fehler:
There was an uncatched exception
Call to undefined function eregi()
in line (69) of (/modules/lightbox2/view.php):

Bei Nutzung von "Another Image Gallery" erhalte ich diesen Fehler:
There was an uncatched exception
Call to undefined function eregi()
in line (142) of (/modules/imagegallery/view.php):

Hat jemand eine Idee, wie ich das Problem beheben kann, oder muss ich ähnliche/andere Module suchen?

Danke

Offline jacobi22

  • Posts: 3553
    • Jacobi22
Re: Module für WB Version 2.8.3+SP7 (r1647)
« Reply #1 on: January 02, 2017, 07:01:58 PM »
Quote
Call to undefined function eregi()

beide Module nutzen die mittlerweile ab PHP7 abgeschaltete PHP-Funktion eregi()
eventuell mal in der Forumssuche nach eregi suchen, da stehen für viele Module schon Lösungen drin

Offline jacobi22

  • Posts: 3553
    • Jacobi22

Offline MBiss

  • Posts: 3
Re: Module für WB Version 2.8.3+SP7 (r1647)
« Reply #3 on: January 09, 2017, 08:58:00 PM »
Vielen Dank jacobi22.

Das hat mir erstmal weitergeholfen, doch wirklich was nachvpllziehbares bzw. brauchbares habe ich bei der Suche nach eregi nicht gefunden. Doch meine Website ist noch in der Mache und ich kann noch frei testen - so nehme ich eben was geht =)

Kommt man allgemein - was auch für viele andere User nützlich wäre - nich umhin, ständig nach Aktualisierungen im WB-Portal zu schauen? Oder wird man irgendwann auch im Forum "zentral" informiert, wenn sämtliche Module PHP7-fähig sind? Kann man überhaupt davon ausgehen, dass alle Module umgestellt werden?

Danke auch für den Tipp, die Auto Gallery auszuprobieren. Die ist zwar gewöhnungsbedürftig und wenig intuitiv, doch funktioniert ganz gut. Da bekomme ich z.B. den Button "Datei hinzufügen" nicht weg - hast Du ne Idee ?


Beste Grüße

Offline jacobi22

  • Posts: 3553
    • Jacobi22
Re: Module für WB Version 2.8.3+SP7 (r1647)
« Reply #4 on: January 10, 2017, 11:19:03 AM »
Muß ich selber erst installieren - ich meld mich gleich wg dem button

Offline jacobi22

  • Posts: 3553
    • Jacobi22
Re: Module für WB Version 2.8.3+SP7 (r1647)
« Reply #5 on: January 10, 2017, 11:31:36 AM »
Im Backend gibt es ganz unten ein Feld zum Anklicken, nennt sich plUpload Settings


Wenn du dort drauf klickst, öffnet sich ein weiteres Einstellfenster. Dort ist ganz oben die Einstellung wie im Bild



die erste Auswahl erlaubt Uploads für alle, die zweite nur für den Admin dieser Seite. In der zweiten Einstellung ist der Button nur für dich zu sehen, solang du im Backend angemeldet bist. Sind noch mehr Administratoren für diese seite eingetragen, können auch die diesen Button sehen, wenn sie im Backend angemeldet sind

Besucher sehen den Button mit einstellung 2 nicht!

Stört dich der Button immernoch, kannst du ihn nur entfernen
Dazu die view.php öffnen und diese nachfolgenden Zeile 89 - 107 entfernen

Code: [Select]
if($settings['allow_all'] == 'true' or $editable== TRUE){ ?>
<!-- Load Queue widget CSS and jQuery only needed for right users -->
<link media="screen" type="text/css" rel="stylesheet" href="<?php echo WB_URL;?>/modules/Auto_Gallery/include/plupload/js/jquery.plupload.queue/css/jquery.plupload.queue.css" />
<!-- Third party script for BrowserPlus runtime (Google Gears included in Gears runtime now) -->
<script type="text/javascript" src="http://bp.yahooapis.com/2.4.21/browserplus-min.js"></script>
<!-- Load plupload and all it's runtimes and finally the jQuery queue widget -->
<script type="text/javascript" src="<?php echo WB_URL;?>/modules/Auto_Gallery/include/plupload/js/plupload.full.js"></script>
<script type="text/javascript" src="<?php echo WB_URL;?>/modules/Auto_Gallery/include/plupload/js/jquery.plupload.queue/jquery.plupload.queue.js"></script>
<button type="button"  id="tools_button" class="fg-button ui-corner-tl ui-corner-tr ui-corner-br ui-corner-bl ui-state-default"><span class="ui-button-icon-primary ui-icon ui-icon-circle-arrow-s"></span><?php echo $DNDTEXT['ADD_FILES'];?></button>
<div id='add_files' class="ui-helper-clearfix" >
  <div>
    <form  method="post" action="<?php echo WB_URL;?>/modules/Auto_Gallery/upload.php">
      <div id="uploader">
        <p>You browser doesn't have Flash, Silverlight, Gears, BrowserPlus or HTML5 support.</p>
      </div>
    </form>
  </div>
</div>
<?php //end if editable

Offline MBiss

  • Posts: 3
Re: Module für WB Version 2.8.3+SP7 (r1647)
« Reply #6 on: January 10, 2017, 01:40:40 PM »
Vielen Dank - jetzt ist alles klar.


Offline nastytill

  • Posts: 53
Re: Module für WB Version 2.8.3+SP7 (r1647)
« Reply #7 on: January 19, 2017, 06:40:20 PM »
Quote
Call to undefined function eregi()

beide Module nutzen die mittlerweile ab PHP7 abgeschaltete PHP-Funktion eregi()
eventuell mal in der Forumssuche nach eregi suchen, da stehen für viele Module schon Lösungen drin

Hallo Uwe,

ich habe zu diesem Thema auch eine Frage.
Und zwar geht es um das Modul Lightbox2 welches ich auf meinen Seiten benutze.
-->
Name:    Lightbox2
Art:    Seite
Autor:    Christian Thamer, Tom Schiemer
Version:    0.911
Entworfen für:    Website Baker 2.7.x
Beschreibung:    Mit diesem Modul können Sie eine Bildergalerie mit dem Lightbox-Effekt erstellen

Ich habe den gleichen Fehler wenn ich auf PHP7 umstelle.
Wenn ich wieder zurück wechsle auf PHP 5.6 läuft sie wieder einwandfrei.
Meine Frage. Gibt es für dieses Modul ein Update, dass man sie mit PHP7 nutzen kann?
Das Modul ist auf meinen Seiten wirklich groß verlinkt mit vielen Bildern und es wäre nicht so toll, wenn ich nun alles löschen müsste und deinstallieren und mir eine neue Galerie installieren müsste.
Natürlich möchte ich aber gerne auf PHP7 umstellen. Bis jetzt war es das einzigste Modul auf meiner WB Installation wo mit PHP7 nicht läuft.
Alles weitere werde ich noch testen. Lightbox2 wäre mir eben wichtig.
Ein Upadte habe ich so nicht gefunden.


Bei Nutzung von "Lightbox2" erhalte ich folgenden Fehler:
There was an uncatched exception
Call to undefined function eregi()
in line (69) of (/modules/lightbox2/view.php):
OHNE HUB KEIN SCHUB !

Offline jacobi22

  • Posts: 3553
    • Jacobi22
Re: Module für WB Version 2.8.3+SP7 (r1647)
« Reply #8 on: January 19, 2017, 08:18:54 PM »
bitte das Modul mal hier als ZIP anhängen

 

postern-length